/*!
 * MediaElement.js
 * http://www.mediaelementjs.com/
 *
 * Wrapper that mimics native HTML5 MediaElement (audio and video)
 * using a variety of technologies (pure JavaScript, Flash, iframe)
 *
 * Copyright 2010-2017, John Dyer (http://j.hn/)
 * License: MIT
 *
 */
(function(){function e(t,n,r){function i(a,s){if(!n[a]){if(!t[a]){var d='function'==typeof require&&require;if(!s&&d)return d(a,!0);if(u)return u(a,!0);var l=new Error('Cannot find module \''+a+'\'');throw l.code='MODULE_NOT_FOUND',l};var o=n[a]={exports:{}};t[a][0].call(o.exports,function(e){var n=t[a][1][e];return i(n||e)},o,o.exports,e,t,n,r)};return n[a].exports};for(var u='function'==typeof require&&require,a=0;a<r.length;a++)i(r[a]);return i};return e})()({1:[function(e,t,n){},{}],2:[function(e,t,n){(function(n){var a=typeof n!=='undefined'?n:typeof window!=='undefined'?window:{};var i=e(1),r;if(typeof document!=='undefined'){r=document}
else{r=a['__GLOBAL_DOCUMENT_CACHE@4'];if(!r){r=a['__GLOBAL_DOCUMENT_CACHE@4']=i}};t.exports=r}).call(this,typeof global!=='undefined'?global:typeof self!=='undefined'?self:typeof window!=='undefined'?window:{})},{'1':1}],3:[function(e,t,n){(function(e){var n;if(typeof window!=='undefined'){n=window}
else if(typeof e!=='undefined'){n=e}
else if(typeof self!=='undefined'){n=self}
else{n={}};t.exports=n}).call(this,typeof global!=='undefined'?global:typeof self!=='undefined'?self:typeof window!=='undefined'?window:{})},{}],4:[function(e,t,n){var r=t.exports={};var a,i;function f(){throw new Error('setTimeout has not been defined')};function m(){throw new Error('clearTimeout has not been defined')}(function(){try{if(typeof setTimeout==='function'){a=setTimeout}
else{a=f}}catch(e){a=f};try{if(typeof clearTimeout==='function'){i=clearTimeout}
else{i=m}}catch(e){i=m}}());function c(e){if(a===setTimeout){return setTimeout(e,0)};if((a===f||!a)&&setTimeout){a=setTimeout;return setTimeout(e,0)};try{return a(e,0)}catch(t){try{return a.call(null,e,0)}catch(t){return a.call(this,e,0)}}};function h(e){if(i===clearTimeout){return clearTimeout(e)};if((i===m||!i)&&clearTimeout){i=clearTimeout;return clearTimeout(e)};try{return i(e)}catch(t){try{return i.call(null,e)}catch(t){return i.call(this,e)}}};var u=[],l=!1,o,d=-1;function v(){if(!l||!o){return};l=!1;if(o.length){u=o.concat(u)}
else{d=-1};if(u.length){p()}};function p(){if(l){return};var t=c(v);l=!0;var e=u.length;while(e){o=u;u=[];while(++d<e){if(o){o[d].run()}};d=-1;e=u.length};o=null;l=!1;h(t)};r.nextTick=function(e){var n=new Array(arguments.length-1);if(arguments.length>1){for(var t=1;t<arguments.length;t++){n[t-1]=arguments[t]}};u.push(new g(e,n));if(u.length===1&&!l){c(p)}};function g(e,t){this.fun=e;this.array=t};g.prototype.run=function(){this.fun.apply(null,this.array)};r.title='browser';r.browser=!0;r.env={};r.argv=[];r.version='';r.versions={};function s(){};r.on=s;r.addListener=s;r.once=s;r.off=s;r.removeListener=s;r.removeAllListeners=s;r.emit=s;r.prependListener=s;r.prependOnceListener=s;r.listeners=function(e){return[]};r.binding=function(e){throw new Error('process.binding is not supported')};r.cwd=function(){return'/'};r.chdir=function(e){throw new Error('process.chdir is not supported')};r.umask=function(){return 0}},{}],5:[function(e,t,n){(function(e){(function(n){var l=setTimeout;function d(){};function f(e,t){return function(){e.apply(t,arguments)}};function r(e){if(typeof this!=='object')throw new TypeError('Promises must be constructed via new');if(typeof e!=='function')throw new TypeError('not a function');this._state=0;this._handled=!1;this._value=undefined;this._deferreds=[];o(e,this)};function s(e,t){while(e._state===3){e=e._value};if(e._state===0){e._deferreds.push(t);return};e._handled=!0;r._immediateFn(function(){var u=e._state===1?t.onFulfilled:t.onRejected;if(u===null){(e._state===1?i:a)(t.promise,e._value);return};var r;try{r=u(e._value)}catch(n){a(t.promise,n);return};i(t.promise,r)})};function i(e,t){try{if(t===e)throw new TypeError('A promise cannot be resolved with itself.');if(t&&(typeof t==='object'||typeof t==='function')){var i=t.then;if(t instanceof r){e._state=3;e._value=t;u(e);return}
else if(typeof i==='function'){o(f(i,t),e);return}};e._state=1;e._value=t;u(e)}catch(n){a(e,n)}};function a(e,t){e._state=2;e._value=t;u(e)};function u(e){if(e._state===2&&e._deferreds.length===0){r._immediateFn(function(){if(!e._handled){r._unhandledRejectionFn(e._value)}})};for(var t=0,n=e._deferreds.length;t<n;t++){s(e,e._deferreds[t])};e._deferreds=null};function m(e,t,n){this.onFulfilled=typeof e==='function'?e:null;this.onRejected=typeof t==='function'?t:null;this.promise=n};function o(e,t){var r=!1;try{e(function(e){if(r)return;r=!0;i(t,e)},function(e){if(r)return;r=!0;a(t,e)})}catch(n){if(r)return;r=!0;a(t,n)}};r.prototype['catch']=function(e){return this.then(null,e)};r.prototype.then=function(e,t){var n=new(this.constructor)(d);s(this,new m(e,t,n));return n};r.all=function(e){var t=Array.prototype.slice.call(e);return new r(function(e,n){if(t.length===0)return e([]);var i=t.length;function a(r,u){try{if(u&&(typeof u==='object'||typeof u==='function')){var o=u.then;if(typeof o==='function'){o.call(u,function(e){a(r,e)},n);return}};t[r]=u;if(--i===0){e(t)}}catch(s){n(s)}};for(var r=0;r<t.length;r++){a(r,t[r])}})};r.resolve=function(e){if(e&&typeof e==='object'&&e.constructor===r){return e};return new r(function(t){t(e)})};r.reject=function(e){return new r(function(t,n){n(e)})};r.race=function(e){return new r(function(t,n){for(var r=0,a=e.length;r<a;r++){e[r].then(t,n)}})};r._immediateFn=(typeof e==='function'&&function(t){e(t)})||function(e){l(e,0)};r._unhandledRejectionFn=function(e){if(typeof console!=='undefined'&&console){console.warn('Possible Unhandled Promise Rejection:',e)}};r._setImmediateFn=function(e){r._immediateFn=e};r._setUnhandledRejectionFn=function(e){r._unhandledRejectionFn=e};if(typeof t!=='undefined'&&t.exports){t.exports=r}
else if(!n.Promise){n.Promise=r}})(this)}).call(this,e(6).setImmediate)},{'6':6}],6:[function(e,t,n){(function(t,r){var o=e(4).nextTick,u=Function.prototype.apply,l=Array.prototype.slice,i={};var s=0;n.setTimeout=function(){return new a(u.call(setTimeout,window,arguments),clearTimeout)};n.setInterval=function(){return new a(u.call(setInterval,window,arguments),clearInterval)};n.clearTimeout=n.clearInterval=function(e){e.close()};function a(e,t){this._id=e;this._clearFn=t};a.prototype.unref=a.prototype.ref=function(){};a.prototype.close=function(){this._clearFn.call(window,this._id)};n.enroll=function(e,t){clearTimeout(e._idleTimeoutId);e._idleTimeout=t};n.unenroll=function(e){clearTimeout(e._idleTimeoutId);e._idleTimeout=-1};n._unrefActive=n.active=function(e){clearTimeout(e._idleTimeoutId);var t=e._idleTimeout;if(t>=0){e._idleTimeoutId=setTimeout(function(){if(e._onTimeout)e._onTimeout()},t)}};n.setImmediate=typeof t==='function'?t:function(e){var t=s++,r=arguments.length<2?!1:l.call(arguments,1);i[t]=!0;o(function(){if(i[t]){if(r){e.apply(null,r)}
else{e.call(null)};n.clearImmediate(t)}});return t};n.clearImmediate=typeof r==='function'?r:function(e){delete i[e]}}).call(this,e(6).setImmediate,e(6).clearImmediate)},{'4':4,'6':6}],7:[function(e,t,n){'use strict';Object.defineProperty(n,'__esModule',{value:!0});var a=typeof Symbol==='function'&&typeof Symbol.iterator==='symbol'?function(e){return typeof e}:function(e){return e&&typeof Symbol==='function'&&e.constructor===Symbol&&e!==Symbol.prototype?'symbol':typeof e},o=e(9),i=l(o),u=e(11),s=e(20);function l(e){return e&&e.__esModule?e:{default:e}};var r={lang:'en',en:u.EN};r.language=function(){for(var n=arguments.length,e=Array(n),t=0;t<n;t++){e[t]=arguments[t]};if(e!==null&&e!==undefined&&e.length){if(typeof e[0]!=='string'){throw new TypeError('Language code must be a string value')};if(!/^[a-z]{2,3}((\-|_)[a-z]{2})?$/i.test(e[0])){throw new TypeError('Language code must have format 2-3 letters and. optionally, hyphen, underscore followed by 2 more letters')};r.lang=e[0];if(r[e[0]]===undefined){e[1]=e[1]!==null&&e[1]!==undefined&&a(e[1])==='object'?e[1]:{};r[e[0]]=!(0,s.isObjectEmpty)(e[1])?e[1]:u.EN}
else if(e[1]!==null&&e[1]!==undefined&&a(e[1])==='object'){r[e[0]]=e[1]}};return r.lang};r.t=function(e){var n=arguments.length>1&&arguments[1]!==undefined?arguments[1]:null;if(typeof e==='string'&&e.length){var t=void 0,i=void 0,u=r.language(),o=function(e,t,n){if((typeof e==='undefined'?'undefined':a(e))!=='object'||typeof t!=='number'||typeof n!=='number'){return e};var r=function(){return[function(){return arguments.length<=1?undefined:arguments[1]},function(){return(arguments.length<=0?undefined:arguments[0])===1?arguments.length<=1?undefined:arguments[1]:arguments.length<=2?undefined:arguments[2]},function(){return(arguments.length<=0?undefined:arguments[0])===0||(arguments.length<=0?undefined:arguments[0])===1?arguments.length<=1?undefined:arguments[1]:arguments.length<=2?undefined:arguments[2]},function(){if((arguments.length<=0?undefined:arguments[0])%10===1&&(arguments.length<=0?undefined:arguments[0])%100!==11){return arguments.length<=1?undefined:arguments[1]}
else if((arguments.length<=0?undefined:arguments[0])!==0){return arguments.length<=2?undefined:arguments[2]}
else{return arguments.length<=3?undefined:arguments[3]}},function(){if((arguments.length<=0?undefined:arguments[0])===1||(arguments.length<=0?undefined:arguments[0])===11){return arguments.length<=1?undefined:arguments[1]}
else if((arguments.length<=0?undefined:arguments[0])===2||(arguments.length<=0?undefined:arguments[0])===12){return arguments.length<=2?undefined:arguments[2]}
else if((arguments.length<=0?undefined:arguments[0])>2&&(arguments.length<=0?undefined:arguments[0])<20){return arguments.length<=3?undefined:arguments[3]}
else{return arguments.length<=4?undefined:arguments[4]}},function(){if((arguments.length<=0?undefined:arguments[0])===1){return arguments.length<=1?undefined:arguments[1]}
else if((arguments.length<=0?undefined:arguments[0])===0||(arguments.length<=0?undefined:arguments[0])%100>0&&(arguments.length<=0?undefined:arguments[0])%100<20){return arguments.length<=2?undefined:arguments[2]}
else{return arguments.length<=3?undefined:arguments[3]}},function(){if((arguments.length<=0?undefined:arguments[0])%10===1&&(arguments.length<=0?undefined:arguments[0])%100!==11){return arguments.length<=1?undefined:arguments[1]}
else if((arguments.length<=0?undefined:arguments[0])%10>=2&&((arguments.length<=0?undefined:arguments[0])%100<10||(arguments.length<=0?undefined:arguments[0])%100>=20)){return arguments.length<=2?undefined:arguments[2]}
else{return[3]}},function(){if((arguments.length<=0?undefined:arguments[0])%10===1&&(arguments.length<=0?undefined:arguments[0])%100!==11){return arguments.length<=1?undefined:arguments[1]}
else if((arguments.length<=0?undefined:arguments[0])%10>=2&&(arguments.length<=0?undefined:arguments[0])%10<=4&&((arguments.length<=0?undefined:arguments[0])%100<10||(arguments.length<=0?undefined:arguments[0])%100>=20)){return arguments.length<=2?undefined:arguments[2]}
else{return arguments.length<=3?undefined:arguments[3]}},function(){if((arguments.length<=0?undefined:arguments[0])===1){return arguments.length<=1?undefined:arguments[1]}
else if((arguments.length<=0?undefined:arguments[0])>=2&&(arguments.length<=0?undefined:arguments[0])<=4){return arguments.length<=2?undefined:arguments[2]}
else{return arguments.length<=3?undefined:arguments[3]}},function(){if((arguments.length<=0?undefined:arguments[0])===1){return arguments.length<=1?undefined:arguments[1]}
else if((arguments.length<=0?undefined:arguments[0])%10>=2&&(arguments.length<=0?undefined:arguments[0])%10<=4&&((arguments.length<=0?undefined:arguments[0])%100<10||(arguments.length<=0?undefined:arguments[0])%100>=20)){return arguments.length<=2?undefined:arguments[2]}
else{return arguments.length<=3?undefined:arguments[3]}},function(){if((arguments.length<=0?undefined:arguments[0])%100===1){return arguments.length<=2?undefined:arguments[2]}
else if((arguments.length<=0?undefined:arguments[0])%100===2){return arguments.length<=3?undefined:arguments[3]}
else if((arguments.length<=0?undefined:arguments[0])%100===3||(arguments.length<=0?undefined:arguments[0])%100===4){return arguments.length<=4?undefined:arguments[4]}
else{return arguments.length<=1?undefined:arguments[1]}},function(){if((arguments.length<=0?undefined:arguments[0])===1){return arguments.length<=1?undefined:arguments[1]}
else if((arguments.length<=0?undefined:arguments[0])===2){return arguments.length<=2?undefined:arguments[2]}
else if((arguments.length<=0?undefined:arguments[0])>2&&(arguments.length<=0?undefined:arguments[0])<7){return arguments.length<=3?undefined:arguments[3]}
else if((arguments.length<=0?undefined:arguments[0])>6&&(arguments.length<=0?undefined:arguments[0])<11){return arguments.length<=4?undefined:arguments[4]}
else{return arguments.length<=5?undefined:arguments[5]}},function(){if((arguments.length<=0?undefined:arguments[0])===0){return arguments.length<=1?undefined:arguments[1]}
else if((arguments.length<=0?undefined:arguments[0])===1){return arguments.length<=2?undefined:arguments[2]}
else if((arguments.length<=0?undefined:arguments[0])===2){return arguments.length<=3?undefined:arguments[3]}
else if((arguments.length<=0?undefined:arguments[0])%100>=3&&(arguments.length<=0?undefined:arguments[0])%100<=10){return arguments.length<=4?undefined:arguments[4]}
else if((arguments.length<=0?undefined:arguments[0])%100>=11){return arguments.length<=5?undefined:arguments[5]}
else{return arguments.length<=6?undefined:arguments[6]}},function(){if((arguments.length<=0?undefined:arguments[0])===1){return arguments.length<=1?undefined:arguments[1]}
else if((arguments.length<=0?undefined:arguments[0])===0||(arguments.length<=0?undefined:arguments[0])%100>1&&(arguments.length<=0?undefined:arguments[0])%100<11){return arguments.length<=2?undefined:arguments[2]}
else if((arguments.length<=0?undefined:arguments[0])%100>10&&(arguments.length<=0?undefined:arguments[0])%100<20){return arguments.length<=3?undefined:arguments[3]}
else{return arguments.length<=4?undefined:arguments[4]}},function(){if((arguments.length<=0?undefined:arguments[0])%10===1){return arguments.length<=1?undefined:arguments[1]}
else if((arguments.length<=0?undefined:arguments[0])%10===2){return arguments.length<=2?undefined:arguments[2]}
else{return arguments.length<=3?undefined:arguments[3]}},function(){return(arguments.length<=0?undefined:arguments[0])!==11&&(arguments.length<=0?undefined:arguments[0])%10===1?arguments.length<=1?undefined:arguments[1]:arguments.length<=2?undefined:arguments[2]},function(){if((arguments.length<=0?undefined:arguments[0])===1){return arguments.length<=1?undefined:arguments[1]}
else if((arguments.length<=0?undefined:arguments[0])%10>=2&&(arguments.length<=0?undefined:arguments[0])%10<=4&&((arguments.length<=0?undefined:arguments[0])%100<10||(arguments.length<=0?undefined:arguments[0])%100>=20)){return arguments.length<=2?undefined:arguments[2]}
else{return arguments.length<=3?undefined:arguments[3]}},function(){if((arguments.length<=0?undefined:arguments[0])===1){return arguments.length<=1?undefined:arguments[1]}
else if((arguments.length<=0?undefined:arguments[0])===2){return arguments.length<=2?undefined:arguments[2]}
else if((arguments.length<=0?undefined:arguments[0])!==8&&(arguments.length<=0?undefined:arguments[0])!==11){return arguments.length<=3?undefined:arguments[3]}
else{return arguments.length<=4?undefined:arguments[4]}},function(){return(arguments.length<=0?undefined:arguments[0])===0?arguments.length<=1?undefined:arguments[1]:arguments.length<=2?undefined:arguments[2]},function(){if((arguments.length<=0?undefined:arguments[0])===1){return arguments.length<=1?undefined:arguments[1]}
else if((arguments.length<=0?undefined:arguments[0])===2){return arguments.length<=2?undefined:arguments[2]}
else if((arguments.length<=0?undefined:arguments[0])===3){return arguments.length<=3?undefined:arguments[3]}
else{return arguments.length<=4?undefined:arguments[4]}},function(){if((arguments.length<=0?undefined:arguments[0])===0){return arguments.length<=1?undefined:arguments[1]}
else if((arguments.length<=0?undefined:arguments[0])===1){return arguments.length<=2?undefined:arguments[2]}
else{return arguments.length<=3?undefined:arguments[3]}}]}();return r[n].apply(null,[t].concat(e))};if(r[u]!==undefined){t=r[u][e];if(n!==null&&typeof n==='number'){i=r[u]['mejs.plural-form'];t=o.apply(null,[t,n,i])}};if(!t&&r.en){t=r.en[e];if(n!==null&&typeof n==='number'){i=r.en['mejs.plural-form'];t=o.apply(null,[t,n,i])}};t=t||e;if(n!==null&&typeof n==='number'){t=t.replace('%1',n)};return(0,s.escapeHTML)(t)};return e};i.default.i18n=r;if(typeof mejsL10n!=='undefined'){i.default.i18n.language(mejsL10n.language,mejsL10n.strings)};n.default=r},{'11':11,'20':20,'9':9}],8:[function(e,t,n){'use strict';Object.defineProperty(n,'__esModule',{value:!0});var f=typeof Symbol==='function'&&typeof Symbol.iterator==='symbol'?function(e){return typeof e}:function(e){return e&&typeof Symbol==='function'&&e.constructor===Symbol&&e!==Symbol.prototype?'symbol':typeof e},m=e(3),a=o(m),c=e(2),l=o(c),p=e(9),i=o(p),d=e(20),r=e(21),s=e(10),g=e(18);function o(e){return e&&e.__esModule?e:{default:e}};function h(e,t){if(!(e instanceof t)){throw new TypeError('Cannot call a class as a function')}};var u=function v(e,n,u){var D=this;h(this,v);var t=this;u=Array.isArray(u)?u:null;t.defaults={renderers:[],fakeNodeName:'mediaelementwrapper',pluginPath:'build/',shimScriptAccess:'sameDomain'};n=Object.assign(t.defaults,n);t.mediaElement=l.default.createElement(n.fakeNodeName);var m=e,w=!1;if(typeof e==='string'){t.mediaElement.originalNode=l.default.getElementById(e)}
else{t.mediaElement.originalNode=e;m=e.id};if(t.mediaElement.originalNode===undefined||t.mediaElement.originalNode===null){return null};t.mediaElement.options=n;m=m||'mejs_'+Math.random().toString().slice(2);t.mediaElement.originalNode.setAttribute('id',m+'_from_mejs');var V=t.mediaElement.originalNode.tagName.toLowerCase();if(['video','audio'].indexOf(V)>-1&&!t.mediaElement.originalNode.getAttribute('preload')){t.mediaElement.originalNode.setAttribute('preload','none')};t.mediaElement.originalNode.parentNode.insertBefore(t.mediaElement,t.mediaElement.originalNode);t.mediaElement.appendChild(t.mediaElement.originalNode);var O=function(e,n){if(a.default.location.protocol==='https:'&&e.indexOf('http:')===0&&g.IS_IOS&&i.default.html5media.mediaTypes.indexOf(n)>-1){var r=new XMLHttpRequest();r.onreadystatechange=function(){if(this.readyState===4&&this.status===200){var r=a.default.URL||a.default.webkitURL,n=r.createObjectURL(this.response);t.mediaElement.originalNode.setAttribute('src',n);return n};return e};r.open('GET',e);r.responseType='blob';r.send()};return e},o=void 0;if(u!==null){o=u}
else if(t.mediaElement.originalNode!==null){o=[];switch(t.mediaElement.originalNode.nodeName.toLowerCase()){case'iframe':o.push({type:'',src:t.mediaElement.originalNode.getAttribute('src')});break;case'audio':case'video':var R=t.mediaElement.originalNode.children.length,b=t.mediaElement.originalNode.getAttribute('src');if(b){var M=t.mediaElement.originalNode,L=(0,r.formatType)(b,M.getAttribute('type'));o.push({type:L,src:O(b,L)})};for(var E=0;E<R;E++){var y=t.mediaElement.originalNode.children[E];if(y.tagName.toLowerCase()==='source'){var I=y.getAttribute('src'),P=(0,r.formatType)(I,y.getAttribute('type'));o.push({type:P,src:O(I,P)})}};break}};t.mediaElement.id=m;t.mediaElement.renderers={};t.mediaElement.events={};t.mediaElement.promises=[];t.mediaElement.renderer=null;t.mediaElement.rendererName=null;t.mediaElement.changeRenderer=function(e,t){var n=D,l=Object.keys(t[0]).length>2?t[0]:t[0].src;if(n.mediaElement.renderer!==undefined&&n.mediaElement.renderer!==null&&n.mediaElement.renderer.name===e){n.mediaElement.renderer.pause();if(n.mediaElement.renderer.stop){n.mediaElement.renderer.stop()};n.mediaElement.renderer.show();n.mediaElement.renderer.setSrc(l);return!0};if(n.mediaElement.renderer!==undefined&&n.mediaElement.renderer!==null){n.mediaElement.renderer.pause();if(n.mediaElement.renderer.stop){n.mediaElement.renderer.stop()};n.mediaElement.renderer.hide()};var r=n.mediaElement.renderers[e],a=null;if(r!==undefined&&r!==null){r.show();r.setSrc(l);n.mediaElement.renderer=r;n.mediaElement.rendererName=e;return!0};var o=n.mediaElement.options.renderers.length?n.mediaElement.options.renderers:s.renderer.order;for(var i=0,m=o.length;i<m;i++){var u=o[i];if(u===e){var f=s.renderer.renderers;a=f[u];var d=Object.assign(a.options,n.mediaElement.options);r=a.create(n.mediaElement,d,t);r.name=e;n.mediaElement.renderers[a.name]=r;n.mediaElement.renderer=r;n.mediaElement.rendererName=e;r.show();return!0}};return!1};t.mediaElement.setSize=function(e,n){if(t.mediaElement.renderer!==undefined&&t.mediaElement.renderer!==null){t.mediaElement.renderer.setSize(e,n)}};t.mediaElement.generateError=function(e,n){e=e||'';n=Array.isArray(n)?n:[];var r=(0,d.createEvent)('error',t.mediaElement);r.message=e;r.urls=n;t.mediaElement.dispatchEvent(r);w=!0};var S=i.default.html5media.properties,N=i.default.html5media.methods,T=function(e,t,n,r){var a=e[t],i=function(){return n.apply(e,[a])},u=function(t){a=r.apply(e,[t]);return a};Object.defineProperty(e,t,{get:i,set:u})},k=function(e){if(e!=='src'){var n=''+e.substring(0,1).toUpperCase()+e.substring(1),r=function(){return t.mediaElement.renderer!==undefined&&t.mediaElement.renderer!==null&&typeof t.mediaElement.renderer['get'+n]==='function'?t.mediaElement.renderer['get'+n]():null},a=function(e){if(t.mediaElement.renderer!==undefined&&t.mediaElement.renderer!==null&&typeof t.mediaElement.renderer['set'+n]==='function'){t.mediaElement.renderer['set'+n](e)}};T(t.mediaElement,e,r,a);t.mediaElement['get'+n]=r;t.mediaElement['set'+n]=a}},j=function(){return t.mediaElement.renderer!==undefined&&t.mediaElement.renderer!==null?t.mediaElement.renderer.getSrc():null},A=function(e){var n=[];if(typeof e==='string'){n.push({src:e,type:e?(0,r.getTypeFromFile)(e):''})}
else if((typeof e==='undefined'?'undefined':f(e))==='object'&&e.src!==undefined){var l=(0,r.absolutizeUrl)(e.src),u=e.type,h=Object.assign(e,{src:l,type:(u===''||u===null||u===undefined)&&l?(0,r.getTypeFromFile)(l):u});n.push(h)}
else if(Array.isArray(e)){for(var a=0,g=e.length;a<g;a++){var o=(0,r.absolutizeUrl)(e[a].src),i=e[a].type,p=Object.assign(e[a],{src:o,type:(i===''||i===null||i===undefined)&&o?(0,r.getTypeFromFile)(o):i});n.push(p)}};var m=s.renderer.select(n,t.mediaElement.options.renderers.length?t.mediaElement.options.renderers:[]),c=void 0;if(!t.mediaElement.paused){t.mediaElement.pause();c=(0,d.createEvent)('pause',t.mediaElement);t.mediaElement.dispatchEvent(c)};t.mediaElement.originalNode.src=n[0].src||'';if(m===null&&n[0].src){t.mediaElement.generateError('No renderer found',n);return};return n[0].src?t.mediaElement.changeRenderer(m.rendererName,n):null},F=function(e,n){try{if(e==='play'&&(t.mediaElement.rendererName==='native_dash'||t.mediaElement.rendererName==='native_hls')){var a=t.mediaElement.renderer[e](n);if(a&&typeof a.then==='function'){a.catch(function(){if(t.mediaElement.paused){setTimeout(function(){var e=t.mediaElement.renderer.play();if(e!==undefined){e.catch(function(){if(!t.mediaElement.renderer.paused){t.mediaElement.renderer.pause()}})}},150)}})}}
else{t.mediaElement.renderer[e](n)}}catch(r){t.mediaElement.generateError(r,o)}},U=function(e){t.mediaElement[e]=function(){for(var a=arguments.length,r=Array(a),n=0;n<a;n++){r[n]=arguments[n]};if(t.mediaElement.renderer!==undefined&&t.mediaElement.renderer!==null&&typeof t.mediaElement.renderer[e]==='function'){if(t.mediaElement.promises.length){Promise.all(t.mediaElement.promises).then(function(){F(e,r)}).catch(function(e){t.mediaElement.generateError(e,o)})}
else{F(e,r)}};return null}};T(t.mediaElement,'src',j,A);t.mediaElement.getSrc=j;t.mediaElement.setSrc=A;for(var p=0,x=S.length;p<x;p++){k(S[p])};for(var c=0,C=N.length;c<C;c++){U(N[c])};t.mediaElement.addEventListener=function(e,n){t.mediaElement.events[e]=t.mediaElement.events[e]||[];t.mediaElement.events[e].push(n)};t.mediaElement.removeEventListener=function(e,n){if(!e){t.mediaElement.events={};return!0};var a=t.mediaElement.events[e];if(!a){return!0};if(!n){t.mediaElement.events[e]=[];return!0};for(var r=0;r<a.length;r++){if(a[r]===n){t.mediaElement.events[e].splice(r,1);return!0}};return!1};t.mediaElement.dispatchEvent=function(e){var r=t.mediaElement.events[e.type];if(r){for(var n=0;n<r.length;n++){r[n].apply(null,[e])}}};t.mediaElement.destroy=function(){var e=t.mediaElement.originalNode.cloneNode(!0),n=t.mediaElement.parentElement;e.removeAttribute('id');e.remove();t.mediaElement.remove();n.appendChild(e)};if(o.length){t.mediaElement.src=o};if(t.mediaElement.promises.length){Promise.all(t.mediaElement.promises).then(function(){if(t.mediaElement.options.success){t.mediaElement.options.success(t.mediaElement,t.mediaElement.originalNode)}}).catch(function(){if(w&&t.mediaElement.options.error){t.mediaElement.options.error(t.mediaElement,t.mediaElement.originalNode)}})}
else{if(t.mediaElement.options.success){t.mediaElement.options.success(t.mediaElement,t.mediaElement.originalNode)};if(w&&t.mediaElement.options.error){t.mediaElement.options.error(t.mediaElement,t.mediaElement.originalNode)}};return t.mediaElement};a.default.MediaElement=u;i.default.MediaElement=u;n.default=u},{'10':10,'18':18,'2':2,'20':20,'21':21,'3':3,'9':9}],9:[function(e,t,n){'use strict';Object.defineProperty(n,'__esModule',{value:!0});var a=e(3),i=u(a);function u(e){return e&&e.__esModule?e:{default:e}};var r={};r.version='4.2.12';r.html5media={properties:['volume','src','currentTime','muted','duration','paused','ended','buffered','error','networkState','readyState','seeking','seekable','currentSrc','preload','bufferedBytes','bufferedTime','initialTime','startOffsetTime','defaultPlaybackRate','playbackRate','played','autoplay','loop','controls'],readOnlyProperties:['duration','paused','ended','buffered','error','networkState','readyState','seeking','seekable'],methods:['load','play','pause','canPlayType'],events:['loadstart','durationchange','loadedmetadata','loadeddata','progress','canplay','canplaythrough','suspend','abort','error','emptied','stalled','play','playing','pause','waiting','seeking','seeked','timeupdate','ended','ratechange','volumechange'],mediaTypes:['audio/mp3','audio/ogg','audio/oga','audio/wav','audio/x-wav','audio/wave','audio/x-pn-wav','audio/mpeg','audio/mp4','video/mp4','video/webm','video/ogg','video/ogv']};i.default.mejs=r;n.default=r},{'3':3}],10:[function(e,t,n){'use strict';Object.defineProperty(n,'__esModule',{value:!0});n.renderer=undefined;var i=typeof Symbol==='function'&&typeof Symbol.iterator==='symbol'?function(e){return typeof e}:function(e){return e&&typeof Symbol==='function'&&e.constructor===Symbol&&e!==Symbol.prototype?'symbol':typeof e},u=function(){function e(e,t){for(var r=0;r<t.length;r++){var n=t[r];n.enumerable=n.enumerable||!1;n.configurable=!0;if('value' in n)n.writable=!0;Object.defineProperty(e,n.key,n)}};return function(t,n,r){if(n)e(t.prototype,n);if(r)e(t,r);return t}}(),s=e(9),o=l(s);function l(e){return e&&e.__esModule?e:{default:e}};function d(e,t){if(!(e instanceof t)){throw new TypeError('Cannot call a class as a function')}};var r=function(){function e(){d(this,e);this.renderers={};this.order=[]};u(e,[{key:'add',value:function(e){if(e.name===undefined){throw new TypeError('renderer must contain at least `name` property')};this.renderers[e.name]=e;this.order.push(e.name)}},{key:'select',value:function(e){var t=arguments.length>1&&arguments[1]!==undefined?arguments[1]:[],d=t.length;t=t.length?t:this.order;if(!d){var i=[/^(html5|native)/i,/^flash/i,/iframe$/i],u=function(e){for(var t=0,n=i.length;t<n;t++){if(i[t].test(e)){return t}};return i.length};t.sort(function(e,t){return u(e)-u(t)})};for(var a=0,l=t.length;a<l;a++){var o=t[a],r=this.renderers[o];if(r!==null&&r!==undefined){for(var n=0,s=e.length;n<s;n++){if(typeof r.canPlayType==='function'&&typeof e[n].type==='string'&&r.canPlayType(e[n].type)){return{rendererName:r.name,src:e[n].src}}}}};return null}},{key:'order',set:function(e){if(!Array.isArray(e)){throw new TypeError('order must be an array of strings.')};this._order=e},get:function(){return this._order}},{key:'renderers',set:function(e){if(e!==null&&(typeof e==='undefined'?'undefined':i(e))!=='object'){throw new TypeError('renderers must be an array of objects.')};this._renderers=e},get:function(){return this._renderers}}]);return e}(),a=n.renderer=new r();o.default.Renderers=a},{'9':9}],11:[function(e,t,n){'use strict';Object.defineProperty(n,'__esModule',{value:!0});var r=n.EN={'mejs.plural-form':1,'mejs.download-file':'Download File','mejs.install-flash':'You are using a browser that does not have Flash player enabled or installed. Please turn on your Flash player plugin or download the latest version from https://get.adobe.com/flashplayer/','mejs.fullscreen':'Fullscreen','mejs.play':'Play','mejs.pause':'Pause','mejs.time-slider':'Time Slider','mejs.time-help-text':'Use Left/Right Arrow keys to advance one second, Up/Down arrows to advance ten seconds.','mejs.live-broadcast':'Live Broadcast','mejs.volume-help-text':'Use Up/Down Arrow keys to increase or decrease volume.','mejs.unmute':'Unmute','mejs.mute':'Mute','mejs.volume-slider':'Volume Slider','mejs.video-player':'Video Player','mejs.audio-player':'Audio Player','mejs.captions-subtitles':'Captions/Subtitles','mejs.captions-chapters':'Chapters','mejs.none':'None','mejs.afrikaans':'Afrikaans','mejs.albanian':'Albanian','mejs.arabic':'Arabic','mejs.belarusian':'Belarusian','mejs.bulgarian':'Bulgarian','mejs.catalan':'Catalan','mejs.chinese':'Chinese','mejs.chinese-simplified':'Chinese (Simplified)','mejs.chinese-traditional':'Chinese (Traditional)','mejs.croatian':'Croatian','mejs.czech':'Czech','mejs.danish':'Danish','mejs.dutch':'Dutch','mejs.english':'English','mejs.estonian':'Estonian','mejs.filipino':'Filipino','mejs.finnish':'Finnish','mejs.french':'French','mejs.galician':'Galician','mejs.german':'German','mejs.greek':'Greek','mejs.haitian-creole':'Haitian Creole','mejs.hebrew':'Hebrew','mejs.hindi':'Hindi','mejs.hungarian':'Hungarian','mejs.icelandic':'Icelandic','mejs.indonesian':'Indonesian','mejs.irish':'Irish','mejs.italian':'Italian','mejs.japanese':'Japanese','mejs.korean':'Korean','mejs.latvian':'Latvian','mejs.lithuanian':'Lithuanian','mejs.macedonian':'Macedonian','mejs.malay':'Malay','mejs.maltese':'Maltese','mejs.norwegian':'Norwegian','mejs.persian':'Persian','mejs.polish':'Polish','mejs.portuguese':'Portuguese','mejs.romanian':'Romanian','mejs.russian':'Russian','mejs.serbian':'Serbian','mejs.slovak':'Slovak','mejs.slovenian':'Slovenian','mejs.spanish':'Spanish','mejs.swahili':'Swahili','mejs.swedish':'Swedish','mejs.tagalog':'Tagalog','mejs.thai':'Thai','mejs.turkish':'Turkish','mejs.ukrainian':'Ukrainian','mejs.vietnamese':'Vietnamese','mejs.welsh':'Welsh','mejs.yiddish':'Yiddish'}},{}],12:[function(e,t,n){'use strict';var i=typeof Symbol==='function'&&typeof Symbol.iterator==='symbol'?function(e){return typeof e}:function(e){return e&&typeof Symbol==='function'&&e.constructor===Symbol&&e!==Symbol.prototype?'symbol':typeof e},f=e(3),s=l(f),m=e(9),u=l(m),o=e(10),a=e(20),c=e(21),p=e(18),g=e(19);function l(e){return e&&e.__esModule?e:{default:e}};var r={promise:null,load:function(e){if(typeof dashjs!=='undefined'){r.promise=new Promise(function(e){e()}).then(function(){r._createPlayer(e)})}
else{e.options.path=typeof e.options.path==='string'?e.options.path:'https://cdn.dashjs.org/latest/dash.all.min.js';r.promise=r.promise||(0,g.loadScript)(e.options.path);r.promise.then(function(){r._createPlayer(e)})};return r.promise},_createPlayer:function(e){var t=dashjs.MediaPlayer().create();s.default['__ready__'+e.id](t);return t}};var d={name:'native_dash',options:{prefix:'native_dash',dash:{path:'https://cdn.dashjs.org/latest/dash.all.min.js',debug:!1,drm:{},robustnessLevel:''}},canPlayType:function(e){return p.HAS_MSE&&['application/dash+xml'].indexOf(e.toLowerCase())>-1},create:function(e,t,n){var f=e.originalNode,p=e.id+'_'+t.prefix,j=f.autoplay,E=f.children,l=null,d=null;f.removeAttribute('type');for(var h=0,T=E.length;h<T;h++){E[h].removeAttribute('type')};l=f.cloneNode(!0);t=Object.assign(t,e.options);var v=u.default.html5media.properties,c=u.default.html5media.events.concat(['click','mouseover','mouseout']).filter(function(e){return e!=='error'}),y=function(t){var n=(0,a.createEvent)(t.type,e);e.dispatchEvent(n)},N=function(e){var n=''+e.substring(0,1).toUpperCase()+e.substring(1);l['get'+n]=function(){return d!==null?l[e]:null};l['set'+n]=function(n){if(u.default.html5media.readOnlyProperties.indexOf(e)===-1){if(e==='src'){var o=(typeof n==='undefined'?'undefined':i(n))==='object'&&n.src?n.src:n;l[e]=o;if(d!==null){d.reset();for(var s=0,f=c.length;s<f;s++){l.removeEventListener(c[s],y)};d=r._createPlayer({options:t.dash,id:p});if(n&&(typeof n==='undefined'?'undefined':i(n))==='object'&&i(n.drm)==='object'){d.setProtectionData(n.drm);if((0,a.isString)(t.dash.robustnessLevel)&&t.dash.robustnessLevel){d.getProtectionController().setRobustnessLevel(t.dash.robustnessLevel)}};d.attachSource(o);if(j){d.play()}}}
else{l[e]=n}}}};for(var g=0,S=v.length;g<S;g++){N(v[g])};s.default['__ready__'+p]=function(n){e.dashPlayer=d=n;var s=dashjs.MediaPlayer.events,p=function(e){if(e==='loadedmetadata'){d.initialize();d.attachView(l);d.setAutoPlay(!1);if(i(t.dash.drm)==='object'&&!u.default.Utils.isObjectEmpty(t.dash.drm)){d.setProtectionData(t.dash.drm);if((0,a.isString)(t.dash.robustnessLevel)&&t.dash.robustnessLevel){d.getProtectionController().setRobustnessLevel(t.dash.robustnessLevel)}};d.attachSource(l.getSrc())};l.addEventListener(e,y)};for(var r=0,m=c.length;r<m;r++){p(c[r])};var f=function(t){if(t.type.toLowerCase()==='error'){e.generateError(t.message,l.src);console.error(t)}
else{var n=(0,a.createEvent)(t.type,e);n.data=t;e.dispatchEvent(n)}};for(var o in s){if(s.hasOwnProperty(o)){d.on(s[o],function(e){return f(e)})}}};if(n&&n.length>0){for(var m=0,w=n.length;m<w;m++){if(o.renderer.renderers[t.prefix].canPlayType(n[m].type)){l.setAttribute('src',n[m].src);if(typeof n[m].drm!=='undefined'){t.dash.drm=n[m].drm};break}}};l.setAttribute('id',p);f.parentNode.insertBefore(l,f);f.autoplay=!1;f.style.display='none';l.setSize=function(e,t){l.style.width=e+'px';l.style.height=t+'px';return l};l.hide=function(){l.pause();l.style.display='none';return l};l.show=function(){l.style.display='';return l};l.destroy=function(){if(d!==null){d.reset()}};var b=(0,a.createEvent)('rendererready',l);e.dispatchEvent(b);e.promises.push(r.load({options:t.dash,id:p}));return l}};c.typeChecks.push(function(e){return~e.toLowerCase().indexOf('.mpd')?'application/dash+xml':null});o.renderer.add(d)},{'10':10,'18':18,'19':19,'20':20,'21':21,'3':3,'9':9}],13:[function(e,t,n){'use strict';Object.defineProperty(n,'__esModule',{value:!0});n.PluginDetector=undefined;var m=typeof Symbol==='function'&&typeof Symbol.iterator==='symbol'?function(e){return typeof e}:function(e){return e&&typeof Symbol==='function'&&e.constructor===Symbol&&e!==Symbol.prototype?'symbol':typeof e},c=e(3),u=i(c),p=e(2),s=i(p),g=e(9),o=i(g),h=e(7),v=i(h),y=e(10),l=e(20),r=e(18),d=e(21);function i(e){return e&&e.__esModule?e:{default:e}};var a=n.PluginDetector={plugins:[],hasPluginVersion:function(e,t){var n=a.plugins[e];t[1]=t[1]||0;t[2]=t[2]||0;return n[0]>t[0]||n[0]===t[0]&&n[1]>t[1]||n[0]===t[0]&&n[1]===t[1]&&n[2]>=t[2]},addPlugin:function(e,t,n,r,i){a.plugins[e]=a.detectPlugin(t,n,r,i)},detectPlugin:function(e,t,n,s){var i=[0,0,0],l=void 0,d=void 0;if(r.NAV.plugins!==null&&r.NAV.plugins!==undefined&&m(r.NAV.plugins[e])==='object'){l=r.NAV.plugins[e].description;if(l&&!(typeof r.NAV.mimeTypes!=='undefined'&&r.NAV.mimeTypes[t]&&!r.NAV.mimeTypes[t].enabledPlugin)){i=l.replace(e,'').replace(/^\s+/,'').replace(/\sr/gi,'.').split('.');for(var o=0,f=i.length;o<f;o++){i[o]=parseInt(i[o].match(/\d+/),10)}}}
else if(u.default.ActiveXObject!==undefined){try{d=new ActiveXObject(n);if(d){i=s(d)}}catch(a){}};return i}};a.addPlugin('flash','Shockwave Flash','application/x-shockwave-flash','ShockwaveFlash.ShockwaveFlash',function(e){var n=[],t=e.GetVariable('$version');if(t){t=t.split(' ')[1].split(',');n=[parseInt(t[0],10),parseInt(t[1],10),parseInt(t[2],10)]};return n});var E={create:function(e,t,a){var n={};var S=!1;n.options=t;n.id=e.id+'_'+n.options.prefix;n.mediaElement=e;n.flashState={};n.flashApi=null;n.flashApiStack=[];var j=o.default.html5media.properties,x=function(e){n.flashState[e]=null;var t=''+e.substring(0,1).toUpperCase()+e.substring(1);n['get'+t]=function(){if(n.flashApi!==null){if(typeof n.flashApi['get_'+e]==='function'){var t=n.flashApi['get_'+e]();if(e==='buffered'){return{start:function(){return 0},end:function(){return t},length:1}};return t}
else{return null}}
else{return null}};n['set'+t]=function(t){if(e==='src'){t=(0,d.absolutizeUrl)(t)};if(n.flashApi!==null&&n.flashApi['set_'+e]!==undefined){try{n.flashApi['set_'+e](t)}catch(r){}}
else{n.flashApiStack.push({type:'set',propName:e,value:t})}}};for(var w=0,C=j.length;w<C;w++){x(j[w])};var b=o.default.html5media.methods,O=function(e){n[e]=function(){if(S){if(n.flashApi!==null){if(n.flashApi['fire_'+e]){try{n.flashApi['fire_'+e]()}catch(t){}}
else{}}
else{n.flashApiStack.push({type:'call',methodName:e})}}}};b.push('stop');for(var E=0,L=b.length;E<L;E++){O(b[E])};var T=['rendererready'];for(var h=0,P=T.length;h<P;h++){var I=(0,l.createEvent)(T[h],n);e.dispatchEvent(I)};u.default['__ready__'+n.id]=function(){n.flashReady=!0;n.flashApi=s.default.getElementById('__'+n.id);if(n.flashApiStack.length){for(var t=0,i=n.flashApiStack.length;t<i;t++){var e=n.flashApiStack[t];if(e.type==='set'){var r=e.propName,a=''+r.substring(0,1).toUpperCase()+r.substring(1);n['set'+a](e.value)}
else if(e.type==='call'){n[e.methodName]()}}}};u.default['__event__'+n.id]=function(e,t){var a=(0,l.createEvent)(e,n);if(t){try{a.data=JSON.parse(t);a.details.data=JSON.parse(t)}catch(r){a.message=t}};n.mediaElement.dispatchEvent(a)};n.flashWrapper=s.default.createElement('div');if(['always','sameDomain'].indexOf(n.options.shimScriptAccess)===-1){n.options.shimScriptAccess='sameDomain'};var F=e.originalNode.autoplay,f=['uid='+n.id,'autoplay='+F,'allowScriptAccess='+n.options.shimScriptAccess,'preload='+(e.originalNode.getAttribute('preload')||'')],m=e.originalNode!==null&&e.originalNode.tagName.toLowerCase()==='video',p=m?e.originalNode.height:1,g=m?e.originalNode.width:1;if(e.originalNode.getAttribute('src')){f.push('src='+e.originalNode.getAttribute('src'))};if(n.options.enablePseudoStreaming===!0){f.push('pseudostreamstart='+n.options.pseudoStreamingStartQueryParam);f.push('pseudostreamtype='+n.options.pseudoStreamingType)};if(n.options.streamDelimiter){f.push('streamdelimiter='+encodeURIComponent(n.options.streamDelimiter))};if(n.options.proxyType){f.push('proxytype='+n.options.proxyType)};e.appendChild(n.flashWrapper);e.originalNode.style.display='none';var i=[];if(r.IS_IE||r.IS_EDGE){var N=s.default.createElement('div');n.flashWrapper.appendChild(N);if(r.IS_EDGE){i=['type="application/x-shockwave-flash"','data="'+n.options.pluginPath+n.options.filename+'"','id="__'+n.id+'"','width="'+g+'"','height="'+p+'\'"']}
else{i=['classid="clsid:D27CDB6E-AE6D-11cf-96B8-444553540000"','codebase="//download.macromedia.com/pub/shockwave/cabs/flash/swflash.cab"','id="__'+n.id+'"','width="'+g+'"','height="'+p+'"']};if(!m){i.push('style="clip: rect(0 0 0 0); position: absolute;"')};N.outerHTML='<object '+i.join(' ')+'>'+('<param name="movie" value="'+n.options.pluginPath+n.options.filename+'?x='+new Date()+'" />')+('<param name="flashvars" value="'+f.join('&amp;')+'" />')+'<param name="quality" value="high" /><param name="bgcolor" value="#000000" /><param name="wmode" value="transparent" />'+('<param name="allowScriptAccess" value="'+n.options.shimScriptAccess+'" />')+'<param name="allowFullScreen" value="true" />'+('<div>'+v.default.t('mejs.install-flash')+'</div>')+'</object>'}
else{i=['id="__'+n.id+'"','name="__'+n.id+'"','play="true"','loop="false"','quality="high"','bgcolor="#000000"','wmode="transparent"','allowScriptAccess="'+n.options.shimScriptAccess+'"','allowFullScreen="true"','type="application/x-shockwave-flash"','pluginspage="//www.macromedia.com/go/getflashplayer"','src="'+n.options.pluginPath+n.options.filename+'"','flashvars="'+f.join('&')+'"'];if(m){i.push('width="'+g+'"');i.push('height="'+p+'"')}
else{i.push('style="position: fixed; left: -9999em; top: -9999em;"')};n.flashWrapper.innerHTML='<embed '+i.join(' ')+'>'};n.flashNode=n.flashWrapper.lastChild;n.hide=function(){S=!1;if(m){n.flashNode.style.display='none'}};n.show=function(){S=!0;if(m){n.flashNode.style.display=''}};n.setSize=function(e,t){n.flashNode.style.width=e+'px';n.flashNode.style.height=t+'px';if(n.flashApi!==null&&typeof n.flashApi.fire_setSize==='function'){n.flashApi.fire_setSize(e,t)}};n.destroy=function(){n.flashNode.remove()};if(a&&a.length>0){for(var c=0,A=a.length;c<A;c++){if(y.renderer.renderers[t.prefix].canPlayType(a[c].type)){n.setSrc(a[c].src);break}}};return n}};var f=a.hasPluginVersion('flash',[10,0,0]);if(f){d.typeChecks.push(function(e){e=e.toLowerCase();if(e.startsWith('rtmp')){if(~e.indexOf('.mp3')){return'audio/rtmp'}
else{return'video/rtmp'}}
else if(/\.og(a|g)/i.test(e)){return'audio/ogg'}
else if(~e.indexOf('.m3u8')){return'application/x-mpegURL'}
else if(~e.indexOf('.mpd')){return'application/dash+xml'}
else if(~e.indexOf('.flv')){return'video/flv'}
else{return null}})}},{'10':10,'18':18,'2':2,'20':20,'21':21,'3':3,'7':7,'9':9}],14:[function(e,t,n){'use strict';var d=typeof Symbol==='function'&&typeof Symbol.iterator==='symbol'?function(e){return typeof e}:function(e){return e&&typeof Symbol==='function'&&e.constructor===Symbol&&e!==Symbol.prototype?'symbol':typeof e},f=e(3),u=o(f),m=e(9),a=o(m),s=e(10),i=e(20),c=e(18),p=e(21),g=e(19);function o(e){return e&&e.__esModule?e:{default:e}};var r={promise:null,load:function(e){if(typeof flvjs!=='undefined'){r.promise=new Promise(function(e){e()}).then(function(){r._createPlayer(e)})}
else{e.options.path=typeof e.options.path==='string'?e.options.path:'https://cdn.jsdelivr.net/npm/flv.js@latest';r.promise=r.promise||(0,g.loadScript)(e.options.path);r.promise.then(function(){r._createPlayer(e)})};return r.promise},_createPlayer:function(e){flvjs.LoggingControl.enableDebug=e.options.debug;flvjs.LoggingControl.enableVerbose=e.options.debug;var t=flvjs.createPlayer(e.options,e.configs);u.default['__ready__'+e.id](t);return t}};var l={name:'native_flv',options:{prefix:'native_flv',flv:{path:'https://cdn.jsdelivr.net/npm/flv.js@latest',cors:!0,debug:!1}},canPlayType:function(e){return c.HAS_MSE&&['video/x-flv','video/flv'].indexOf(e.toLowerCase())>-1},create:function(e,t,n){var m=e.originalNode,g=e.id+'_'+t.prefix,o=null,l=null;o=m.cloneNode(!0);t=Object.assign(t,e.options);var v=a.default.html5media.properties,p=a.default.html5media.events.concat(['click','mouseover','mouseout']).filter(function(e){return e!=='error'}),y=function(t){var n=(0,i.createEvent)(t.type,e);e.dispatchEvent(n)},N=function(e){var n=''+e.substring(0,1).toUpperCase()+e.substring(1);o['get'+n]=function(){return l!==null?o[e]:null};o['set'+n]=function(n){if(a.default.html5media.readOnlyProperties.indexOf(e)===-1){if(e==='src'){o[e]=(typeof n==='undefined'?'undefined':d(n))==='object'&&n.src?n.src:n;if(l!==null){var i={};i.type='flv';i.url=n;i.cors=t.flv.cors;i.debug=t.flv.debug;i.path=t.flv.path;var f=t.flv.configs;l.destroy();for(var u=0,s=p.length;u<s;u++){o.removeEventListener(p[u],y)};l=r._createPlayer({options:i,configs:f,id:g});l.attachMediaElement(o);l.load()}}
else{o[e]=n}}}};for(var h=0,S=v.length;h<S;h++){N(v[h])};u.default['__ready__'+g]=function(t){e.flvPlayer=l=t;var n=flvjs.Events,f=function(e){if(e==='loadedmetadata'){l.unload();l.detachMediaElement();l.attachMediaElement(o);l.load()};o.addEventListener(e,y)};for(var r=0,d=p.length;r<d;r++){f(p[r])};var u=function(t,n){if(t==='error'){var a=n[0]+': '+n[1]+' '+n[2].msg;e.generateError(a,o.src)}
else{var r=(0,i.createEvent)(t,e);r.data=n;e.dispatchEvent(r)}},s=function(e){if(n.hasOwnProperty(e)){l.on(n[e],function(){for(var r=arguments.length,a=Array(r),t=0;t<r;t++){a[t]=arguments[t]};return u(n[e],a)})}};for(var a in n){s(a)}};if(n&&n.length>0){for(var c=0,w=n.length;c<w;c++){if(s.renderer.renderers[t.prefix].canPlayType(n[c].type)){o.setAttribute('src',n[c].src);break}}};o.setAttribute('id',g);m.parentNode.insertBefore(o,m);m.autoplay=!1;m.style.display='none';var f={};f.type='flv';f.url=o.src;f.cors=t.flv.cors;f.debug=t.flv.debug;f.path=t.flv.path;var b=t.flv.configs;o.setSize=function(e,t){o.style.width=e+'px';o.style.height=t+'px';return o};o.hide=function(){if(l!==null){l.pause()};o.style.display='none';return o};o.show=function(){o.style.display='';return o};o.destroy=function(){if(l!==null){l.destroy()}};var E=(0,i.createEvent)('rendererready',o);e.dispatchEvent(E);e.promises.push(r.load({options:f,configs:b,id:g}));return o}};p.typeChecks.push(function(e){return~e.toLowerCase().indexOf('.flv')?'video/flv':null});s.renderer.add(l)},{'10':10,'18':18,'19':19,'20':20,'21':21,'3':3,'9':9}],15:[function(e,t,n){'use strict';var d=typeof Symbol==='function'&&typeof Symbol.iterator==='symbol'?function(e){return typeof e}:function(e){return e&&typeof Symbol==='function'&&e.constructor===Symbol&&e!==Symbol.prototype?'symbol':typeof e},f=e(3),u=o(f),m=e(9),a=o(m),s=e(10),i=e(20),c=e(18),p=e(21),g=e(19);function o(e){return e&&e.__esModule?e:{default:e}};var r={promise:null,load:function(e){if(typeof Hls!=='undefined'){r.promise=new Promise(function(e){e()}).then(function(){r._createPlayer(e)})}
else{e.options.path=typeof e.options.path==='string'?e.options.path:'https://cdn.jsdelivr.net/npm/hls.js@latest';r.promise=r.promise||(0,g.loadScript)(e.options.path);r.promise.then(function(){r._createPlayer(e)})};return r.promise},_createPlayer:function(e){var t=new Hls(e.options);u.default['__ready__'+e.id](t);return t}};var l={name:'native_hls',options:{prefix:'native_hls',hls:{path:'https://cdn.jsdelivr.net/npm/hls.js@latest',autoStartLoad:!1,debug:!1}},canPlayType:function(e){return c.HAS_MSE&&['application/x-mpegurl','application/vnd.apple.mpegurl','audio/mpegurl','audio/hls','video/hls'].indexOf(e.toLowerCase())>-1},create:function(e,t,n){var f=e.originalNode,p=e.id+'_'+t.prefix,h=f.getAttribute('preload'),b=f.autoplay,l=null,o=null,m=0,v=n.length;o=f.cloneNode(!0);t=Object.assign(t,e.options);t.hls.autoStartLoad=h&&h!=='none'||b;var y=a.default.html5media.properties,c=a.default.html5media.events.concat(['click','mouseover','mouseout']).filter(function(e){return e!=='error'}),E=function(t){var n=(0,i.createEvent)(t.type,e);e.dispatchEvent(n)},N=function(e){var n=''+e.substring(0,1).toUpperCase()+e.substring(1);o['get'+n]=function(){return l!==null?o[e]:null};o['set'+n]=function(n){if(a.default.html5media.readOnlyProperties.indexOf(e)===-1){if(e==='src'){o[e]=(typeof n==='undefined'?'undefined':d(n))==='object'&&n.src?n.src:n;if(l!==null){l.destroy();for(var i=0,u=c.length;i<u;i++){o.removeEventListener(c[i],E)};l=r._createPlayer({options:t.hls,id:p});l.loadSource(n);l.attachMedia(o)}}
else{o[e]=n}}}};for(var g=0,S=y.length;g<S;g++){N(y[g])};u.default['__ready__'+p]=function(t){e.hlsPlayer=l=t;var r=Hls.Events,h=function(t){if(t==='loadedmetadata'){var n=e.originalNode.src;l.detachMedia();l.loadSource(n);l.attachMedia(o)};o.addEventListener(t,E)};for(var s=0,g=c.length;s<g;s++){h(c[s])};var a=void 0,u=void 0,f=function(t,r){if(t==='hlsError'){console.warn(r);r=r[1];if(r.fatal){switch(r.type){case'mediaError':var p=new Date().getTime();if(!a||p-a>3000){a=new Date().getTime();l.recoverMediaError()}
else if(!u||p-u>3000){u=new Date().getTime();console.warn('Attempting to swap Audio Codec and recover from media error');l.swapAudioCodec();l.recoverMediaError()}
else{var c='Cannot recover, last media error recovery failed';e.generateError(c,o.src);console.error(c)};break;case'networkError':if(r.details==='manifestLoadError'){if(m<v&&n[m+1]!==undefined){o.setSrc(n[m++].src);o.load();o.play()}
else{var f='Network error';e.generateError(f,n);console.error(f)}}
else{var d='Network error';e.generateError(d,n);console.error(d)};break;default:l.destroy();break};return}};var s=(0,i.createEvent)(t,e);s.data=r;e.dispatchEvent(s)},p=function(e){if(r.hasOwnProperty(e)){l.on(r[e],function(){for(var n=arguments.length,a=Array(n),t=0;t<n;t++){a[t]=arguments[t]};return f(r[e],a)})}};for(var d in r){p(d)}};if(v>0){for(;m<v;m++){if(s.renderer.renderers[t.prefix].canPlayType(n[m].type)){o.setAttribute('src',n[m].src);break}}};if(h!=='auto'&&!b){o.addEventListener('play',function(){if(l!==null){l.startLoad()}});o.addEventListener('pause',function(){if(l!==null){l.stopLoad()}})};o.setAttribute('id',p);f.parentNode.insertBefore(o,f);f.autoplay=!1;f.style.display='none';o.setSize=function(e,t){o.style.width=e+'px';o.style.height=t+'px';return o};o.hide=function(){o.pause();o.style.display='none';return o};o.show=function(){o.style.display='';return o};o.destroy=function(){if(l!==null){l.stopLoad();l.destroy()}};var w=(0,i.createEvent)('rendererready',o);e.dispatchEvent(w);e.promises.push(r.load({options:t.hls,id:p}));return o}};p.typeChecks.push(function(e){return~e.toLowerCase().indexOf('.m3u8')?'application/x-mpegURL':null});s.renderer.add(l)},{'10':10,'18':18,'19':19,'20':20,'21':21,'3':3,'9':9}],16:[function(e,t,n){'use strict';var d=e(3),f=a(d),m=e(2),u=a(m),c=e(9),r=a(c),s=e(10),o=e(20),l=e(18);function a(e){return e&&e.__esModule?e:{default:e}};var i={name:'html5',options:{prefix:'html5'},canPlayType:function(e){var t=u.default.createElement('video');if(l.IS_ANDROID&&/\/mp(3|4)$/i.test(e)||~['application/x-mpegurl','vnd.apple.mpegurl','audio/mpegurl','audio/hls','video/hls'].indexOf(e.toLowerCase())&&l.SUPPORTS_NATIVE_HLS){return'yes'}
else if(t.canPlayType){return t.canPlayType(e.toLowerCase()).replace(/no/,'')}
else{return''}},create:function(e,t,n){var b=e.id+'_'+t.prefix,l=!1,a=null;if(e.originalNode===undefined||e.originalNode===null){a=u.default.createElement('audio');e.appendChild(a)}
else{a=e.originalNode};a.setAttribute('id',b);var p=r.default.html5media.properties,E=function(e){var t=''+e.substring(0,1).toUpperCase()+e.substring(1);a['get'+t]=function(){return a[e]};a['set'+t]=function(t){if(r.default.html5media.readOnlyProperties.indexOf(e)===-1){a[e]=t}}};for(var m=0,y=p.length;m<y;m++){E(p[m])};var c=r.default.html5media.events.concat(['click','mouseover','mouseout']).filter(function(e){return e!=='error'}),v=function(t){a.addEventListener(t,function(t){if(l){var n=(0,o.createEvent)(t.type,t.target);e.dispatchEvent(n)}})};for(var f=0,h=c.length;f<h;f++){v(c[f])};a.setSize=function(e,t){a.style.width=e+'px';a.style.height=t+'px';return a};a.hide=function(){l=!1;a.style.display='none';return a};a.show=function(){l=!0;a.style.display='';return a};var i=0,d=n.length;if(d>0){for(;i<d;i++){if(s.renderer.renderers[t.prefix].canPlayType(n[i].type)){a.setAttribute('src',n[i].src);break}}};a.addEventListener('error',function(t){if(t.target.error.code===4&&l){if(i<d&&n[i+1]!==undefined){a.src=n[i++].src;a.load();a.play()}
else{e.generateError('Media error: Format(s) not supported or source(s) not found',n)}}});var g=(0,o.createEvent)('rendererready',a);e.dispatchEvent(g);return a}};f.default.HtmlMediaElement=r.default.HtmlMediaElement=i;s.renderer.add(i)},{'10':10,'18':18,'2':2,'20':20,'3':3,'9':9}],17:[function(e,t,n){'use strict';var l=e(3),u=i(l),d=e(2),f=i(d),m=e(9),s=i(m),c=e(10),a=e(20),p=e(21),g=e(19);function i(e){return e&&e.__esModule?e:{default:e}};var r={isIframeStarted:!1,isIframeLoaded:!1,iframeQueue:[],enqueueIframe:function(e){r.isLoaded=typeof YT!=='undefined'&&YT.loaded;if(r.isLoaded){r.createIframe(e)}
else{r.loadIframeApi();r.iframeQueue.push(e)}},loadIframeApi:function(){if(!r.isIframeStarted){(0,g.loadScript)('https://www.youtube.com/player_api');r.isIframeStarted=!0}},iFrameReady:function(){r.isLoaded=!0;r.isIframeLoaded=!0;while(r.iframeQueue.length>0){var e=r.iframeQueue.pop();r.createIframe(e)}},createIframe:function(e){return new YT.Player(e.containerId,e)},getYouTubeId:function(e){var t='';if(e.indexOf('?')>0){t=r.getYouTubeIdFromParam(e);if(t===''){t=r.getYouTubeIdFromUrl(e)}}
else{t=r.getYouTubeIdFromUrl(e)};var n=t.substring(t.lastIndexOf('/')+1);t=n.split('?');return t[0]},getYouTubeIdFromParam:function(e){if(e===undefined||e===null||!e.trim().length){return null};var u=e.split('?'),r=u[1].split('&'),a='';for(var t=0,i=r.length;t<i;t++){var n=r[t].split('=');if(n[0]==='v'){a=n[1];break}};return a},getYouTubeIdFromUrl:function(e){if(e===undefined||e===null||!e.trim().length){return null};var t=e.split('?');e=t[0];return e.substring(e.lastIndexOf('/')+1)},getYouTubeNoCookieUrl:function(e){if(e===undefined||e===null||!e.trim().length||e.indexOf('//www.youtube')===-1){return e};var t=e.split('/');t[2]=t[2].replace('.com','-nocookie.com');return t.join('/')}};var o={name:'youtube_iframe',options:{prefix:'youtube_iframe',youtube:{autoplay:0,controls:0,disablekb:1,end:0,loop:0,modestbranding:0,playsinline:0,rel:0,showinfo:0,start:0,iv_load_policy:3,nocookie:!1,imageQuality:null}},canPlayType:function(e){return~['video/youtube','video/x-youtube'].indexOf(e.toLowerCase())},create:function(e,t,n){var i={},p=[],L=4;var o=null,d=!0,m=!1,c=null,E=1;i.options=t;i.id=e.id+'_'+t.prefix;i.mediaElement=e;var w=s.default.html5media.properties,P=function(t){var n=''+t.substring(0,1).toUpperCase()+t.substring(1);i['get'+n]=function(){if(o!==null){var r=null;switch(t){case'currentTime':return o.getCurrentTime();case'duration':return o.getDuration();case'volume':E=o.getVolume()/100;return E;case'playbackRate':return o.getPlaybackRate();case'paused':return d;case'ended':return m;case'muted':return o.isMuted();case'buffered':var e=o.getVideoLoadedFraction(),n=o.getDuration();return{start:function(){return 0},end:function(){return e*n},length:1};case'src':return o.getVideoUrl();case'readyState':return L};return r}
else{return null}};i['set'+n]=function(n){if(o!==null){switch(t){case'src':var l=typeof n==='string'?n:n[0].src,u=r.getYouTubeId(l);if(e.originalNode.autoplay){o.loadVideoById(u)}
else{o.cueVideoById(u)};break;case'currentTime':o.seekTo(n);break;case'muted':if(n){o.mute()}
else{o.unMute()};setTimeout(function(){var t=(0,a.createEvent)('volumechange',i);e.dispatchEvent(t)},50);break;case'volume':E=n;o.setVolume(n*100);setTimeout(function(){var t=(0,a.createEvent)('volumechange',i);e.dispatchEvent(t)},50);break;case'playbackRate':o.setPlaybackRate(n);setTimeout(function(){var t=(0,a.createEvent)('ratechange',i);e.dispatchEvent(t)},50);break;case'readyState':var s=(0,a.createEvent)('canplay',i);e.dispatchEvent(s);break;default:break}}
else{p.push({type:'set',propName:t,value:n})}}};for(var y=0,I=w.length;y<I;y++){P(w[y])};var b=s.default.html5media.methods,F=function(e){i[e]=function(){if(o!==null){switch(e){case'play':d=!1;return o.playVideo();case'pause':d=!0;return o.pauseVideo();case'load':return null}}
else{p.push({type:'call',methodName:e})}}};for(var v=0,A=b.length;v<A;v++){F(b[v])};var j=function(t){var r='';switch(t.data){case 2:r='The request contains an invalid parameter value. Verify that video ID has 11 characters and that contains no invalid characters, such as exclamation points or asterisks.';break;case 5:r='The requested content cannot be played in an HTML5 player or another error related to the HTML5 player has occurred.';break;case 100:r='The video requested was not found. Either video has been removed or has been marked as private.';break;case 101:case 105:r='The owner of the requested video does not allow it to be played in embedded players.';break;default:r='Unknown error.';break};e.generateError('Code '+t.data+': '+r,n)},h=f.default.createElement('div');h.id=i.id;if(i.options.youtube.nocookie){e.originalNode.src=r.getYouTubeNoCookieUrl(n[0].src)};e.originalNode.parentNode.insertBefore(h,e.originalNode);e.originalNode.style.display='none';var g=e.originalNode.tagName.toLowerCase()==='audio',S=g?'1':e.originalNode.height,N=g?'1':e.originalNode.width,T=r.getYouTubeId(n[0].src),l={id:i.id,containerId:h.id,videoId:T,height:S,width:N,playerVars:Object.assign({controls:0,rel:0,disablekb:1,showinfo:0,modestbranding:0,html5:1,iv_load_policy:3},i.options.youtube),origin:u.default.location.host,events:{onReady:function(t){e.youTubeApi=o=t.target;e.youTubeState={paused:!0,ended:!1};if(p.length){for(var s=0,E=p.length;s<E;s++){var n=p[s];if(n.type==='set'){var f=n.propName,y=''+f.substring(0,1).toUpperCase()+f.substring(1);i['set'+y](n.value)}
else if(n.type==='call'){i[n.methodName]()}}};c=o.getIframe();if(e.originalNode.muted){o.mute()};var d=['mouseover','mouseout'],v=function(t){var n=(0,a.createEvent)(t.type,i);e.dispatchEvent(n)};for(var u=0,h=d.length;u<h;u++){c.addEventListener(d[u],v,!1)};var l=['rendererready','loadedmetadata','loadeddata','canplay'];for(var r=0,g=l.length;r<g;r++){var m=(0,a.createEvent)(l[r],i);e.dispatchEvent(m)}},onStateChange:function(t){var n=[];switch(t.data){case-1:n=['loadedmetadata'];d=!0;m=!1;break;case 0:n=['ended'];d=!1;m=!i.options.youtube.loop;if(!i.options.youtube.loop){i.stopInterval()};break;case 1:n=['play','playing'];d=!1;m=!1;i.startInterval();break;case 2:n=['pause'];d=!0;m=!1;i.stopInterval();break;case 3:n=['progress'];m=!1;break;case 5:n=['loadeddata','loadedmetadata','canplay'];d=!0;m=!1;break};for(var r=0,s=n.length;r<s;r++){var u=(0,a.createEvent)(n[r],i);e.dispatchEvent(u)}},onError:function(e){return j(e)}}};if(g||e.originalNode.hasAttribute('playsinline')){l.playerVars.playsinline=1};if(e.originalNode.controls){l.playerVars.controls=1};if(e.originalNode.autoplay){l.playerVars.autoplay=1};if(e.originalNode.loop){l.playerVars.loop=1};if((l.playerVars.loop&&parseInt(l.playerVars.loop,10)===1||e.originalNode.src.indexOf('loop=')>-1)&&!l.playerVars.playlist&&e.originalNode.src.indexOf('playlist=')===-1){l.playerVars.playlist=r.getYouTubeId(e.originalNode.src)};r.enqueueIframe(l);i.onEvent=function(t,n,r){if(r!==null&&r!==undefined){e.youTubeState=r}};i.setSize=function(e,t){if(o!==null){o.setSize(e,t)}};i.hide=function(){i.stopInterval();i.pause();if(c){c.style.display='none'}};i.show=function(){if(c){c.style.display=''}};i.destroy=function(){o.destroy()};i.interval=null;i.startInterval=function(){i.interval=setInterval(function(){var t=(0,a.createEvent)('timeupdate',i);e.dispatchEvent(t)},250)};i.stopInterval=function(){if(i.interval){clearInterval(i.interval)}};i.getPosterUrl=function(){var n=t.youtube.imageQuality,i=['default','hqdefault','mqdefault','sddefault','maxresdefault'],a=r.getYouTubeId(e.originalNode.src);return n&&i.indexOf(n)>-1&&a?'https://img.youtube.com/vi/'+a+'/'+n+'.jpg':''};return i}};u.default.onYouTubePlayerAPIReady=function(){r.iFrameReady()};p.typeChecks.push(function(e){return(/\/\/(www\.youtube|youtu\.?be)/i.test(e)?'video/x-youtube':null)});c.renderer.add(o)},{'10':10,'19':19,'2':2,'20':20,'21':21,'3':3,'9':9}],18:[function(e,n,t){'use strict';Object.defineProperty(t,'__esModule',{value:!0});t.cancelFullScreen=t.requestFullScreen=t.isFullScreen=t.FULLSCREEN_EVENT_NAME=t.HAS_NATIVE_FULLSCREEN_ENABLED=t.HAS_TRUE_NATIVE_FULLSCREEN=t.HAS_IOS_FULLSCREEN=t.HAS_MS_NATIVE_FULLSCREEN=t.HAS_MOZ_NATIVE_FULLSCREEN=t.HAS_WEBKIT_NATIVE_FULLSCREEN=t.HAS_NATIVE_FULLSCREEN=t.SUPPORTS_NATIVE_HLS=t.SUPPORT_PASSIVE_EVENT=t.SUPPORT_POINTER_EVENTS=t.HAS_MSE=t.IS_STOCK_ANDROID=t.IS_SAFARI=t.IS_FIREFOX=t.IS_CHROME=t.IS_EDGE=t.IS_IE=t.IS_ANDROID=t.IS_IOS=t.IS_IPOD=t.IS_IPHONE=t.IS_IPAD=t.UA=t.NAV=undefined;var G=e(3),u=w(G),X=e(2),a=w(X),Q=e(9),r=w(Q);function w(e){return e&&e.__esModule?e:{default:e}};var b=t.NAV=u.default.navigator,i=t.UA=b.userAgent.toLowerCase(),V=t.IS_IPAD=/ipad/i.test(i)&&!u.default.MSStream,D=t.IS_IPHONE=/iphone/i.test(i)&&!u.default.MSStream,H=t.IS_IPOD=/ipod/i.test(i)&&!u.default.MSStream,K=t.IS_IOS=/ipad|iphone|ipod/i.test(i)&&!u.default.MSStream,N=t.IS_ANDROID=/android/i.test(i),T=t.IS_IE=/(trident|microsoft)/i.test(b.appName),q=t.IS_EDGE='msLaunchUri' in b&&!('documentMode' in a.default),c=t.IS_CHROME=/chrome/i.test(i),z=t.IS_FIREFOX=/firefox/i.test(i),j=t.IS_SAFARI=/safari/i.test(i)&&!c,A=t.IS_STOCK_ANDROID=/^mozilla\/\d+\.\d+\s\(linux;\su;/i.test(i),B=t.HAS_MSE='MediaSource' in u.default,Y=t.SUPPORT_POINTER_EVENTS=function(){var e=a.default.createElement('x'),r=a.default.documentElement,t=u.default.getComputedStyle;if(!('pointerEvents' in e.style)){return!1};e.style.pointerEvents='auto';e.style.pointerEvents='x';r.appendChild(e);var n=t&&(t(e,'')||{}).pointerEvents==='auto';e.remove();return!!n}(),W=t.SUPPORT_PASSIVE_EVENT=function(){var t=!1;try{var n=Object.defineProperty({},'passive',{get:function(){t=!0}});u.default.addEventListener('test',null,n)}catch(e){};return t}(),F=['source','track','audio','video'],d=void 0;for(var E=0,R=F.length;E<R;E++){d=a.default.createElement(F[E])};var M=t.SUPPORTS_NATIVE_HLS=j||N&&(c||A)||T&&/edge/i.test(i),m=d.webkitEnterFullscreen!==undefined,S=d.requestFullscreen!==undefined;if(m&&/mac os x 10_5/i.test(i)){S=!1;m=!1};var l=d.webkitRequestFullScreen!==undefined,s=d.mozRequestFullScreen!==undefined,o=d.msRequestFullscreen!==undefined,p=l||s||o,g=p,f='',h=void 0,v=void 0,y=void 0;if(s){g=a.default.mozFullScreenEnabled}
else if(o){g=a.default.msFullscreenEnabled};if(c){m=!1};if(p){if(l){f='webkitfullscreenchange'}
else if(s){f='mozfullscreenchange'}
else if(o){f='MSFullscreenChange'};t.isFullScreen=h=function(){if(s){return a.default.mozFullScreen}
else if(l){return a.default.webkitIsFullScreen}
else if(o){return a.default.msFullscreenElement!==null}};t.requestFullScreen=v=function(e){if(l){e.webkitRequestFullScreen()}
else if(s){e.mozRequestFullScreen()}
else if(o){e.msRequestFullscreen()}};t.cancelFullScreen=y=function(){if(l){a.default.webkitCancelFullScreen()}
else if(s){a.default.mozCancelFullScreen()}
else if(o){a.default.msExitFullscreen()}}};var I=t.HAS_NATIVE_FULLSCREEN=S,P=t.HAS_WEBKIT_NATIVE_FULLSCREEN=l,L=t.HAS_MOZ_NATIVE_FULLSCREEN=s,O=t.HAS_MS_NATIVE_FULLSCREEN=o,C=t.HAS_IOS_FULLSCREEN=m,x=t.HAS_TRUE_NATIVE_FULLSCREEN=p,k=t.HAS_NATIVE_FULLSCREEN_ENABLED=g,U=t.FULLSCREEN_EVENT_NAME=f;t.isFullScreen=h;t.requestFullScreen=v;t.cancelFullScreen=y;r.default.Features=r.default.Features||{};r.default.Features.isiPad=V;r.default.Features.isiPod=H;r.default.Features.isiPhone=D;r.default.Features.isiOS=r.default.Features.isiPhone||r.default.Features.isiPad;r.default.Features.isAndroid=N;r.default.Features.isIE=T;r.default.Features.isEdge=q;r.default.Features.isChrome=c;r.default.Features.isFirefox=z;r.default.Features.isSafari=j;r.default.Features.isStockAndroid=A;r.default.Features.hasMSE=B;r.default.Features.supportsNativeHLS=M;r.default.Features.supportsPointerEvents=Y;r.default.Features.supportsPassiveEvent=W;r.default.Features.hasiOSFullScreen=C;r.default.Features.hasNativeFullscreen=I;r.default.Features.hasWebkitNativeFullScreen=P;r.default.Features.hasMozNativeFullScreen=L;r.default.Features.hasMsNativeFullScreen=O;r.default.Features.hasTrueNativeFullScreen=x;r.default.Features.nativeFullScreenEnabled=k;r.default.Features.fullScreenEventName=U;r.default.Features.isFullScreen=h;r.default.Features.requestFullScreen=v;r.default.Features.cancelFullScreen=y},{'2':2,'3':3,'9':9}],19:[function(e,t,n){'use strict';Object.defineProperty(n,'__esModule',{value:!0});n.removeClass=n.addClass=n.hasClass=undefined;n.loadScript=c;n.offset=p;n.toggleClass=g;n.fadeOut=h;n.fadeIn=v;n.siblings=y;n.visible=E;n.ajax=b;var w=e(3),a=d(w),S=e(2),i=d(S),N=e(9),r=d(N);function d(e){return e&&e.__esModule?e:{default:e}};function c(e){return new Promise(function(t,n){var r=i.default.createElement('script');r.src=e;r.async=!0;r.onload=function(){r.remove();t()};r.onerror=function(){r.remove();n()};i.default.head.appendChild(r)})};function p(e){var t=e.getBoundingClientRect(),n=a.default.pageXOffset||i.default.documentElement.scrollLeft,r=a.default.pageYOffset||i.default.documentElement.scrollTop;return{top:t.top+r,left:t.left+n}};var s=void 0,o=void 0,l=void 0;if('classList' in i.default.documentElement){s=function(e,t){return e.classList!==undefined&&e.classList.contains(t)};o=function(e,t){return e.classList.add(t)};l=function(e,t){return e.classList.remove(t)}}
else{s=function(e,t){return new RegExp('\\b'+t+'\\b').test(e.className)};o=function(e,t){if(!u(e,t)){e.className+=' '+t}};l=function(e,t){e.className=e.className.replace(new RegExp('\\b'+t+'\\b','g'),'')}};var u=n.hasClass=s,f=n.addClass=o,m=n.removeClass=l;function g(e,t){u(e,t)?m(e,t):f(e,t)};function h(e){var r=arguments.length>1&&arguments[1]!==undefined?arguments[1]:400,n=arguments[2];if(!e.style.opacity){e.style.opacity=1};var t=null;a.default.requestAnimationFrame(function i(u){t=t||u;var s=u-t,o=parseFloat(1-s/r,2);e.style.opacity=o<0?0:o;if(s>r){if(n&&typeof n==='function'){n()}}
else{a.default.requestAnimationFrame(i)}})};function v(e){var r=arguments.length>1&&arguments[1]!==undefined?arguments[1]:400,n=arguments[2];if(!e.style.opacity){e.style.opacity=0};var t=null;a.default.requestAnimationFrame(function i(u){t=t||u;var s=u-t,o=parseFloat(s/r,2);e.style.opacity=o>1?1:o;if(s>r){if(n&&typeof n==='function'){n()}}
else{a.default.requestAnimationFrame(i)}})};function y(e,t){var n=[];e=e.parentNode.firstChild;do{if(!t||t(e)){n.push(e)}}
while(e=e.nextSibling);return n};function E(e){if(e.getClientRects!==undefined&&e.getClientRects==='function'){return!!(e.offsetWidth||e.offsetHeight||e.getClientRects().length)};return!!(e.offsetWidth||e.offsetHeight)};function b(e,t,n,u){var r=a.default.XMLHttpRequest?new XMLHttpRequest():new ActiveXObject('Microsoft.XMLHTTP'),i='application/x-www-form-urlencoded; charset=UTF-8',s=!1,o='*/'.concat('*');switch(t){case'text':i='text/plain';break;case'json':i='application/json, text/javascript';break;case'html':i='text/html';break;case'xml':i='application/xml, text/xml';break};if(i!=='application/x-www-form-urlencoded'){o=i+', */*; q=0.01'};if(r){r.open('GET',e,!0);r.setRequestHeader('Accept',o);r.onreadystatechange=function(){if(s){return};if(r.readyState===4){if(r.status===200){s=!0;var e=void 0;switch(t){case'json':e=JSON.parse(r.responseText);break;case'xml':e=r.responseXML;break;default:e=r.responseText;break};n(e)}
else if(typeof u==='function'){u(r.status)}}};r.send()}};r.default.Utils=r.default.Utils||{};r.default.Utils.offset=p;r.default.Utils.hasClass=u;r.default.Utils.addClass=f;r.default.Utils.removeClass=m;r.default.Utils.toggleClass=g;r.default.Utils.fadeIn=v;r.default.Utils.fadeOut=h;r.default.Utils.siblings=y;r.default.Utils.visible=E;r.default.Utils.ajax=b;r.default.Utils.loadScript=c},{'2':2,'3':3,'9':9}],20:[function(e,t,n){'use strict';Object.defineProperty(n,'__esModule',{value:!0});n.escapeHTML=a;n.debounce=i;n.isObjectEmpty=u;n.splitEvents=s;n.createEvent=o;n.isNodeAfter=l;n.isString=d;var f=e(9),r=m(f);function m(e){return e&&e.__esModule?e:{default:e}};function a(e){if(typeof e!=='string'){throw new Error('Argument passed must be a string')};var t={'&':'&amp;','<':'&lt;','>':'&gt;','"':'&quot;'};return e.replace(/[&<>"]/g,function(e){return t[e]})};function i(e,t){var a=this,i=arguments,r=arguments.length>2&&arguments[2]!==undefined?arguments[2]:!1;if(typeof e!=='function'){throw new Error('First argument must be a function')};if(typeof t!=='number'){throw new Error('Second argument must be a numeric value')};var n=void 0;return function(){var u=a,s=i,o=function(){n=null;if(!r){e.apply(u,s)}},l=r&&!n;clearTimeout(n);n=setTimeout(o,t);if(l){e.apply(u,s)}}};function u(e){return Object.getOwnPropertyNames(e).length<=0};function s(e,t){var r=/^((after|before)print|(before)?unload|hashchange|message|o(ff|n)line|page(hide|show)|popstate|resize|storage)\b/,n={d:[],w:[]};(e||'').split(' ').forEach(function(e){var a=''+e+(t?'.'+t:'');if(a.startsWith('.')){n.d.push(a);n.w.push(a)}
else{n[r.test(e)?'w':'d'].push(a)}});n.d=n.d.join(' ');n.w=n.w.join(' ');return n};function o(e,t){if(typeof e!=='string'){throw new Error('Event name must be a string')};var n=e.match(/([a-z]+\.([a-z]+))/i),r={target:t};if(n!==null){e=n[1];r.namespace=n[2]};return new window.CustomEvent(e,{detail:r})};function l(e,t){return!!(e&&t&&e.compareDocumentPosition(t)&2)};function d(e){return typeof e==='string'};r.default.Utils=r.default.Utils||{};r.default.Utils.escapeHTML=a;r.default.Utils.debounce=i;r.default.Utils.isObjectEmpty=u;r.default.Utils.splitEvents=s;r.default.Utils.createEvent=o;r.default.Utils.isNodeAfter=l;r.default.Utils.isString=d},{'9':9}],21:[function(e,t,n){'use strict';Object.defineProperty(n,'__esModule',{value:!0});n.typeChecks=undefined;n.absolutizeUrl=o;n.formatType=l;n.getMimeFromType=d;n.getTypeFromFile=i;n.getExtension=u;n.normalizeExtension=s;var f=e(9),r=c(f),m=e(20);function c(e){return e&&e.__esModule?e:{default:e}};var a=n.typeChecks=[];function o(e){if(typeof e!=='string'){throw new Error('`url` argument must be a string')};var t=document.createElement('div');t.innerHTML='<a href="'+(0,m.escapeHTML)(e)+'">x</a>';return t.firstChild.href};function l(e){var t=arguments.length>1&&arguments[1]!==undefined?arguments[1]:'';return e&&!t?i(e):t};function d(e){if(typeof e!=='string'){throw new Error('`type` argument must be a string')};return e&&e.indexOf(';')>-1?e.substr(0,e.indexOf(';')):e};function i(e){if(typeof e!=='string'){throw new Error('`url` argument must be a string')};for(var r=0,l=a.length;r<l;r++){var i=a[r](e);if(i){return i}};var o=u(e),t=s(o),n='video/mp4';if(t){if(~['mp4','m4v','ogg','ogv','webm','flv','mpeg','mov'].indexOf(t)){n='video/'+t}
else if(~['mp3','oga','wav','mid','midi'].indexOf(t)){n='audio/'+t}};return n};function u(e){if(typeof e!=='string'){throw new Error('`url` argument must be a string')};var n=e.split('?')[0],t=n.split('\\').pop().split('/').pop();return~t.indexOf('.')?t.substring(t.lastIndexOf('.')+1):''};function s(e){if(typeof e!=='string'){throw new Error('`extension` argument must be a string')};switch(e){case'mp4':case'm4v':return'mp4';case'webm':case'webma':case'webmv':return'webm';case'ogg':case'oga':case'ogv':return'ogg';default:return e}};r.default.Utils=r.default.Utils||{};r.default.Utils.typeChecks=a;r.default.Utils.absolutizeUrl=o;r.default.Utils.formatType=l;r.default.Utils.getMimeFromType=d;r.default.Utils.getTypeFromFile=i;r.default.Utils.getExtension=u;r.default.Utils.normalizeExtension=s},{'20':20,'9':9}],22:[function(e,t,n){'use strict';var i=e(2),u=r(i),s=e(5),o=r(s);function r(e){return e&&e.__esModule?e:{default:e}}(function(e){e.forEach(function(e){if(e.hasOwnProperty('remove')){return};Object.defineProperty(e,'remove',{configurable:!0,enumerable:!0,writable:!0,value:function(){this.parentNode.removeChild(this)}})})})([Element.prototype,CharacterData.prototype,DocumentType.prototype]);(function(){if(typeof window.CustomEvent==='function'){return!1};function e(e,t){t=t||{bubbles:!1,cancelable:!1,detail:undefined};var n=u.default.createEvent('CustomEvent');n.initCustomEvent(e,t.bubbles,t.cancelable,t.detail);return n};e.prototype=window.Event.prototype;window.CustomEvent=e})();if(typeof Object.assign!=='function'){Object.assign=function(e){if(e===null||e===undefined){throw new TypeError('Cannot convert undefined or null to object')};var a=Object(e);for(var r=1,i=arguments.length;r<i;r++){var t=arguments[r];if(t!==null){for(var n in t){if(Object.prototype.hasOwnProperty.call(t,n)){a[n]=t[n]}}}};return a}};if(!String.prototype.startsWith){String.prototype.startsWith=function(e,t){t=t||0;return this.substr(t,e.length)===e}};if(!Element.prototype.matches){Element.prototype.matches=Element.prototype.matchesSelector||Element.prototype.mozMatchesSelector||Element.prototype.msMatchesSelector||Element.prototype.oMatchesSelector||Element.prototype.webkitMatchesSelector||function(e){var n=(this.document||this.ownerDocument).querySelectorAll(e),t=n.length-1;while(--t>=0&&n.item(t)!==this){};return t>-1}};if(window.Element&&!Element.prototype.closest){Element.prototype.closest=function(e){var r=(this.document||this.ownerDocument).querySelectorAll(e),t=void 0,n=this;do{t=r.length;while(--t>=0&&r.item(t)!==n){}}
while(t<0&&(n=n.parentElement));return n}}(function(){var n=0,t=['ms','moz','webkit','o'];for(var e=0;e<t.length&&!window.requestAnimationFrame;++e){window.requestAnimationFrame=window[t[e]+'RequestAnimationFrame'];window.cancelAnimationFrame=window[t[e]+'CancelAnimationFrame']||window[t[e]+'CancelRequestAnimationFrame']};if(!window.requestAnimationFrame)window.requestAnimationFrame=function(e){var t=new Date().getTime(),r=Math.max(0,16-(t-n)),a=window.setTimeout(function(){e(t+r)},r);n=t+r;return a};if(!window.cancelAnimationFrame)window.cancelAnimationFrame=function(e){clearTimeout(e)}})();if(/firefox/i.test(navigator.userAgent)){var a=window.getComputedStyle;window.getComputedStyle=function(e,t){var n=a(e,t);return n===null?{getPropertyValue:function(){}}:n}};if(!window.Promise){window.Promise=o.default}(function(e){if(e&&e.prototype&&e.prototype.children===null){Object.defineProperty(e.prototype,'children',{get:function(){var n=0,e=void 0,r=this.childNodes,t=[];while(e=r[n++]){if(e.nodeType===1){t.push(e)}};return t}})}})(window.Node||window.Element)},{'2':2,'5':5}]},{},[22,8,7,11,16,13,12,14,15,17]);